using System;
class Program
{
    static void Main(string[] args)
    {
        int b = 0;
        long a = long.Parse(Console.ReadLine());
        int dig = int.Parse((Math.Floor(Math.Log10(a) + 1)).ToString());
        while (dig > 0)
        {
            b++;
            long x = long.Parse((Math.Pow(10, dig - 1)).ToString());
            if (a < long.Parse((Math.Pow(10, dig-1)).ToString()) * 2)
            {
                a -= x;
            } else if (a < long.Parse((Math.Pow(10, dig-1)).ToString()) * 5)
            {
                a -= 2 * x;
            }
            else
            {
                a -= 5 * x;
            }
            if (a != 0)
                dig = int.Parse((Math.Floor(Math.Log10(a) + 1)).ToString());
            else dig = 0;
        }
        
        Console.WriteLine(b);

    }
}